연결 이력 조회
curl --request GET \
--url https://api.x.com/2/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"connected_at": "2023-11-07T05:31:56Z",
"endpoint_name": "sample_stream",
"client_ip": "<string>",
"disconnect_reason": "operator_disconnect",
"disconnected_at": "2023-11-07T05:31:56Z"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"next_token": "<string>",
"result_count": 123
}
}{
"code": 123,
"message": "<string>"
}연결 이력 조회
인증된 App에 대해 현재 및 과거 스트리밍 연결과 각 연결의 해제 사유를 반환합니다.
GET
/
2
/
connections
연결 이력 조회
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
연결 상태로 필터링합니다. 현재 활성 연결에는 "active", 과거(연결 해제된) 연결에는 "inactive", 둘 다 포함하려면 "all"을 사용하세요.
Available options:
active, inactive, all 스트리밍 엔드포인트 기준으로 필터링합니다. 결과를 필터링할 하나 이상의 엔드포인트 이름을 지정하세요.
Available options:
filter_stream, sample_stream, sample10_stream, firehose_stream, tweets_compliance_stream, users_compliance_stream, tweet_label_stream, firehose_stream_lang_en, firehose_stream_lang_ja, firehose_stream_lang_ko, firehose_stream_lang_pt, likes_firehose_stream, likes_sample10_stream, likes_compliance_stream 페이지당 반환할 최대 결과 수입니다.
Required range:
1 <= x <= 100결과를 페이지네이션하기 위한 토큰입니다. 이전 응답에서 받은 next_token 값을 사용하세요.
표시할 Connection 필드를 쉼표로 구분한 목록입니다. Connection 객체에서 요청할 수 있는 필드입니다.
Minimum array length:
1Available options:
client_ip, connected_at, disconnect_reason, disconnected_at, endpoint_name, id Example:
[
"client_ip",
"connected_at",
"disconnect_reason",
"disconnected_at",
"endpoint_name",
"id"
]
Response
요청이 성공했습니다.
Minimum array length:
1Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes